﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"];  %>
<div id="historyDatalog">
   <div class="history-summary">
       <div class="table-title">
                <span>/*[ID_DATA]*/</span>
        </div>
        <form action="../cgi-bin/web_cgi_query.cgi" method="get" id="historyForm">
         <% 
        var SetDisabled = "";
        var SetDisabledClass = "";
        var disabledselect="";
        if(args['level']==1){  
            SetDisabled = 'disabled="disabled"';
            SetDisabledClass = "btn_2_disabled";
            disabledselect=true;
        }
        %>
        <p><strong>/*[ID_DEVICE]*/:</strong></p>
            <input type="hidden" name="data_type" id="data_type" value="0" />
            <div class="dropdown">
            <div class="input_select set_value" name="equipID" id="equipID" data-index="-1">/*[ID_ALL_DEVICE]*/</div>
            <ul class="language yinc">
                <li><a href="javascript:void(0)" rel="-1">/*[ID_ALL_DEVICE2]*/</a></li>
             <%for(var i=0,ilen=data.device.length; i<ilen; i++){ %>                     
                 <li><a href="javascript:void(0)" rel="<%=data.device[i][2] %>"><%=data.device[i][lang] %></a></li>
            <%} %>
            </ul>
            <%if(disabledselect){%>
                <div class="hidden_input_select"></div>
            <%} %>
        </div>
        <p><strong>/*[ID_FROM]*/:</strong><input type="text" value="" name="dateFrom" id="dateFrom" <%=SetDisabled %>  maxlength="19" /></p>
        <p><strong>/*[ID_TO]*/:</strong><input type="text" value="" name="dateTo" id="dateTo" <%=SetDisabled %>  maxlength="19" />
        <a href="#" class="btn_2 <%=SetDisabledClass %>" id="HistoryQuery"><span>/*[ID_QUERY]*/</span></a>
        <a href="/var/download/download_dataLog.html" target="_blank" class="btn_2 historyUpload"><span>/*[ID_UPLOAD]*/</span></a>
        </p>
        <p class="info">/*[ID_TIPS]*/!</p>
        </form>
    </div>
     <script id="temp_historyList" type="text/x-dot-template">
           <table border="0" cellpadding="0" cellspacing="0" class="table-a" id="HistoryTable">
            <thead><tr><th style="width:30px;">/*[ID_INDEX]*/</th><th style="width:130px;">/*[ID_DEVICE1]*/</th><th>/*[ID_SIGNAL]*/</th><th style="width:100px;">/*[ID_VALUE]*/</th><th style="width:40px;">/*[ID_UNIT]*/</th><th style="width:120px;">/*[ID_TIME]*/</th></tr></thead><tbody>{{var HContent = history_content;for(var i=0,ilen=HContent.length; i<ilen; i++){ }}<tr{{if(i%2==1){ }} class="gray"{{} }}><td>{{=i+1}}</td><td>{{=HContent[i][0]}}</td><td>{{=HContent[i][1]}}</td><td>{{=HContent[i][2]}}</td><td>{{=HContent[i][3]}}</td><td>{{var setTimeStr = Pages.SetSettingDate( HContent[i][4]);}}{{=setTimeStr }}</td></tr>{{} }}</tbody>
            </table>
    </script>
    <div class="history-list" id="historyList"></div>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>